%global sum Foreign Function Interface for Python to call C code
%global desc \
Foreign Function Interface for Python, providing a convenient and \
reliable way of calling existing C code from Python. The interface is \
based on LuaJIT’s FFI.

Name:           python3-cffi
Version:        1.9.1
Release:        3%{?dist}
Summary:        %{sum}
License:        MIT
URL:            http://cffi.readthedocs.org/
Source0:        https://pypi.io/packages/source/c/cffi/cffi-%{version}.tar.gz

BuildRequires:  libffi-devel python-sphinx
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-Cython
BuildRequires:  python%{python3_pkgversion}-pycparser
BuildRequires:  python%{python3_pkgversion}-pytest
%if 0%{?with_python3_other}
BuildRequires:  python%{python3_other_pkgversion}-devel
BuildRequires:  python%{python3_other_pkgversion}-setuptools
BuildRequires:  python%{python3_other_pkgversion}-Cython
BuildRequires:  python%{python3_other_pkgversion}-pycparser
BuildRequires:  python%{python3_other_pkgversion}-pytest
%endif

%description %{desc}

%if %{python3_pkgversion} != 3
%package -n python%{python3_pkgversion}-cffi
Summary:        %{sum}
Requires:       python%{python3_pkgversion}-pycparser
%{?python_provide:%python_provide python%{python3_pkgversion}-cffi}

%description -n python%{python3_pkgversion}-cffi %{desc}
%endif

%if 0%{?with_python3_other}
%package -n python%{python3_other_pkgversion}-cffi
Summary:        %{sum}
Requires:       python%{python3_other_pkgversion}-pycparser
%{?python_provide:%python_provide python%{python3_other_pkgversion}-cffi}

%description -n python%{python3_other_pkgversion}-cffi %{desc}
%endif

%package doc
Summary:        Documentation for CFFI
BuildArch:      noarch

%description doc
Documentation for CFFI, the Foreign Function Interface for Python.

%prep
%setup -q -n cffi-%{version}

%build
%py3_build
%py3_other_build
cd doc
make html
rm build/html/.buildinfo

%install
%py3_install \
    --record %{buildroot}%{python3_sitearch}/cffi-%{version}-py%{python3_version}.egg-info/installed-files.txt
%py3_other_install \
    --record %{buildroot}%{python3_other_sitearch}/cffi-%{version}-py%{python3_other_version}.egg-info/installed-files.txt

%check
PYTHONPATH=%{buildroot}%{python3_sitearch} py.test-%{python3_version} -v c/ testing/
%if 0%{?with_python3_other}
PYTHONPATH=%{buildroot}%{python3_other_sitearch} py.test-%{python3_other_version} -v c/ testing/
%endif

%files -n python%{python3_pkgversion}-cffi
%doc AUTHORS PKG-INFO
%license LICENSE
%{python3_sitearch}/*

%if 0%{?with_python3_other}
%files -n python%{python3_other_pkgversion}-cffi
%doc AUTHORS PKG-INFO
%license LICENSE
%{python3_other_sitearch}/*
%endif

%files doc
%license LICENSE
%doc doc/build/html

%changelog
* Wed Oct 18 2017 Aurelien Bompard <abompard@fedoraproject.org> - 1.9.1-3
- Build for python3_other

* Mon Feb 27 2017 Orion Poplawski <orion@cora.nwra.com> - 1.9.1-2
- Drop requires on python3-cffi in doc package

* Mon Feb 6 2017 Orion Poplawski <orion@cora.nwra.com> - 1.9.1-1
- Update to 1.9.1

* Fri Jan 6 2017 Orion Poplawski <orion@cora.nwra.com> - 1.8.3-1
- Initial EPEL package
